## ros-melodic-ros1-ign-bridge 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros1_ign_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS
               geometry_msgs
               rosconsole
               roscpp
               rostest
               sensor_msgs
               std_msgs)

find_package(ignition-msgs4 QUIET REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs4_VERSION_MAJOR})

find_package(ignition-transport7 QUIET REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport7_VERSION_MAJOR})

catkin_package()

include_directories(include ${catkin_INCLUDE_DIRS})

set(common_sources
  src/convert_builtin_interfaces.cpp
  src/builtin_interfaces_factories.cpp
)

set(bridge_executables
  parameter_bridge
  static_bridge
)

foreach(bridge ${bridge_executables})
  add_executable(${bridge}
    src/${bridge}.cpp
    ${common_sources}
  )
  target_link_libraries(${bridge}
    ${catkin_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  install(TARGETS ${bridge}
          DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endforeach(bridge)

set(bridge_lib
  ros1_ign_bridge_lib
)

add_library(${bridge_lib}
  ${common_sources}
)
target_link_libraries(${bridge_lib}
  ${catkin_LIBRARIES}
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)

catkin_package(INCLUDE_DIRS include
               LIBRARIES ${bridge_lib})

install(TARGETS ${bridge_lib}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Tests
find_package(rostest REQUIRED)

set(test_publishers
  ign_publisher
  ros1_publisher
)

set(test_subscribers
  ign_subscriber
  ros1_subscriber
)

foreach(test_publisher ${test_publishers})
  add_executable(${test_publisher}
    test/publishers/${test_publisher}.cpp
  )
  target_link_libraries(${test_publisher}
    ${catkin_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
    gtest
    gtest_main
  )
endforeach(test_publisher)

foreach(test_subscriber ${test_subscribers})
  add_rostest_gtest(test_${test_subscriber}
    test/${test_subscriber}.test
    test/subscribers/${test_subscriber}.cpp)
  target_link_libraries(test_${test_subscriber}
    ${catkin_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
endforeach(test_subscriber)

=== debian/changelog ===
ros-melodic-ros1-ign-bridge (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Carlos Agüero <caguero@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.3-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.2-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.1-1stretch) stretch; urgency=high

  * Update README.md
  * Contributors: Carlos Agüero

 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.0-1stretch) stretch; urgency=high

  * Merge pull request #33 <https://github.com/osrf/ros1_ign_bridge/issues/33> from osrf/issue_31
    Fix issue #31 <https://github.com/osrf/ros1_ign_bridge/issues/31>
  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use intra-process field from messageInfo.
  * Contributors: Carlos Aguero, Nate Koenig, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Carlos Agüero <caguero@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.4.0-1stretch) stretch; urgency=high

  * tests and reverse bridge for pointcloud
  * Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Carlos Agüero <caguero@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.3.1-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.3.0-1stretch) stretch; urgency=high

  * 0.2.0
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Move package to subfolder, add metapackage (#16 <https://github.com/osrf/ros1_ign_bridge/issues/16>)
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Carlos Agüero <caguero@openrobotics.org>  Fri, 28 Jun 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.2-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.1-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sat, 11 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.0-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.1.0-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros1-ign-bridge
Section: misc
Priority: extra
Maintainer: Carlos Agüero <caguero@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs4-dev, libignition-transport7-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros1-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs4-dev, libignition-transport7-dev, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: Bridge communication between ROS 1 and Ignition Transport

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros1-ign-bridge//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
